package com.example.modifier.ui.login

sealed class LoginUiState {
    data object Normal : LoginUiState()
    data object Loading : LoginUiState()
    data object Success : LoginUiState()
    data object NoRootAccess : LoginUiState()
    data class Error(
        val serverError: String?,
        val usernameError: String?,
        val passwordError: String?,
        val deviceLabelError: String?
    ) : LoginUiState()
}